Сайты созданные на WordPress, легко могут подвергнуться атакам хакеров

Сегодня многие владельцы сайтов на WordPress продолжают использовать уже устаревшую версию языка РНР. Однако разработчики самой системы настоятельно рекомендуют им сменить её на новую версию.

Больше половины веб-ресурсов (61,6%) используют неактуальную версию РНР, из-за чего подвергают свои сайты риску хакерской атаки. Сегодня куда безопаснее использовать РНР 7.3. Также допускается применение 7.2 и 7.1. Все остальные версии (7.0, 5.6 и ниже) утратили свою актуальность еще в конце 2018 года. Они не обновляются и не исправляются, в то время как последняя версия языка постоянно усовершенствуется.

Новые версии использует всего около 38% интернет-ресурсов. Они могут не опасаться взлома, в то время, как другие находятся в зоне риска.

В начале августа компания WordPress приняла важное решение – теперь все владельцы сайтов, использующие РНР 5.6 будут видеть виджет, который напоминает об обновлении. Немного позже планируется запустить такой же виджет и для тех, кто использует версию РНР 7.0.